<?php

	$christmas_holiday_custom_css= "";

	/*-------------------- Global Color -------------------*/

	$christmas_holiday_first_color = get_theme_mod('christmas_holiday_first_color');

	if($christmas_holiday_first_color != false){
		$christmas_holiday_custom_css .='.top-bar, .tickets-btn a, #slider .more-btn a, .more-btn a, #slider .carousel-control-next i, #slider .carousel-control-prev i, #comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #preloader, #footer .tagcloud a:hover, #footer input[type="submit"], #footer-2, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, .scrollup i, .bradcrumbs span, #sidebar .custom-social-icons a,#footer .custom-social-icons a, #sidebar h3,  #sidebar .widget_block h3, #sidebar h2, #sidebar .tagcloud a:hover, .pagination a:hover, .pagination .current, .woocommerce span.onsale, nav.woocommerce-MyAccount-navigation ul li, .toggle-nav i,.bradcrumbs a ,.bradcrumbs span{';
			$christmas_holiday_custom_css .='background: '.esc_attr($christmas_holiday_first_color).';';
		$christmas_holiday_custom_css .='}';
	}

	if($christmas_holiday_first_color != false){
		$christmas_holiday_custom_css .='h1, h2, h3, h4, h5, h6, a, a:hover, p.site-title a:hover, .logo h1 a:hover, .tickets-btn a:hover, #slider .more-btn a:hover, #comments input[type="submit"]:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.widget_product_search button:hover, .woocommerce button.button:disabled:hover, .woocommerce button.button:disabled[disabled]:hover, .woocommerce a.added_to_cart.wc-forward:hover, .main-navigation li a:hover, .main-navigation li a:focus, .main-navigation ul ul a:focus, .main-navigation ul ul a:hover, #slider .carousel-control-next i:hover, #slider .carousel-control-prev i:hover,  #events-section h2, .post-main-box:hover h2 a, .post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .post-main-box:hover h3 a,#sidebar ul li a:hover, #footer li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus, .post-navigation span.meta-nav:hover, .woocommerce-message::before,.woocommerce-info::before{';
			$christmas_holiday_custom_css .='color: '.esc_attr($christmas_holiday_first_color).';';
		$christmas_holiday_custom_css .='}';
	}

	if($christmas_holiday_first_color != false){
		$christmas_holiday_custom_css .='{';
			$christmas_holiday_custom_css .='border-color: '.esc_attr($christmas_holiday_first_color).';';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_custom_css .='@media screen and (max-width:1000px) {';
		if($christmas_holiday_first_color != false){
			$christmas_holiday_custom_css .='.main-navigation a:hover{
				color:'.esc_attr($christmas_holiday_first_color).' !important;
			}';
		}
	$christmas_holiday_custom_css .='}';

	/*---------------------------Width Layout -------------------*/

	$christmas_holiday_theme_lay = get_theme_mod( 'christmas_holiday_width_option','Full Width');
    if($christmas_holiday_theme_lay == 'Boxed'){
		$christmas_holiday_custom_css .='body{';
			$christmas_holiday_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$christmas_holiday_custom_css .='}';
		$christmas_holiday_custom_css .='.scrollup i{';
			$christmas_holiday_custom_css .='right: 100px;';
		$christmas_holiday_custom_css .='}';
	}else if($christmas_holiday_theme_lay == 'Wide Width'){
		$christmas_holiday_custom_css .='body{';
			$christmas_holiday_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$christmas_holiday_custom_css .='}';
		$christmas_holiday_custom_css .='.scrollup i{';
			$christmas_holiday_custom_css .='right: 30px;';
		$christmas_holiday_custom_css .='}';
	}else if($christmas_holiday_theme_lay == 'Full Width'){
		$christmas_holiday_custom_css .='body{';
			$christmas_holiday_custom_css .='max-width: 100%;';
		$christmas_holiday_custom_css .='}';
	}

	/*---------------------------Slider Height ------------*/

	$christmas_holiday_slider_height = get_theme_mod('christmas_holiday_slider_height');
	if($christmas_holiday_slider_height != false){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='height: '.esc_attr($christmas_holiday_slider_height).';';
		$christmas_holiday_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$christmas_holiday_theme_lay = get_theme_mod( 'christmas_holiday_slider_opacity_color','0.7');
	if($christmas_holiday_theme_lay == '0'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.1'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.1';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.2'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.2';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.3'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.3';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.4'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.4';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.5'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.5';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.6'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.6';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.7'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.7';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.8'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.8';
		$christmas_holiday_custom_css .='}';
		}else if($christmas_holiday_theme_lay == '0.9'){
		$christmas_holiday_custom_css .='#slider img{';
			$christmas_holiday_custom_css .='opacity:0.9';
		$christmas_holiday_custom_css .='}';
		}

	/*----------------Responsive Media -----------------------*/

	$christmas_holiday_resp_slider = get_theme_mod( 'christmas_holiday_resp_slider_hide_show',false);
	if($christmas_holiday_resp_slider == true && get_theme_mod( 'christmas_holiday_slider_hide_show', false) == false){
    	$christmas_holiday_custom_css .='#slider{';
			$christmas_holiday_custom_css .='display:none;';
		$christmas_holiday_custom_css .='} ';
	}
    if($christmas_holiday_resp_slider == true){
    	$christmas_holiday_custom_css .='@media screen and (max-width:575px) {';
		$christmas_holiday_custom_css .='#slider{';
			$christmas_holiday_custom_css .='display:block;';
		$christmas_holiday_custom_css .='} }';
	}else if($christmas_holiday_resp_slider == false){
		$christmas_holiday_custom_css .='@media screen and (max-width:575px) {';
		$christmas_holiday_custom_css .='#slider{';
			$christmas_holiday_custom_css .='display:none;';
		$christmas_holiday_custom_css .='} }';
		$christmas_holiday_custom_css .='@media screen and (max-width:575px){';
		$christmas_holiday_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$christmas_holiday_custom_css .='margin-top: 45px;';
		$christmas_holiday_custom_css .='} }';
	}

	$christmas_holiday_resp_sidebar = get_theme_mod( 'christmas_holiday_sidebar_hide_show',true);
    if($christmas_holiday_resp_sidebar == true){
    	$christmas_holiday_custom_css .='@media screen and (max-width:575px) {';
		$christmas_holiday_custom_css .='#sidebar{';
			$christmas_holiday_custom_css .='display:block;';
		$christmas_holiday_custom_css .='} }';
	}else if($christmas_holiday_resp_sidebar == false){
		$christmas_holiday_custom_css .='@media screen and (max-width:575px) {';
		$christmas_holiday_custom_css .='#sidebar{';
			$christmas_holiday_custom_css .='display:none;';
		$christmas_holiday_custom_css .='} }';
	}

	$christmas_holiday_resp_scroll_top = get_theme_mod( 'christmas_holiday_resp_scroll_top_hide_show',true);
	if($christmas_holiday_resp_scroll_top == true && get_theme_mod( 'christmas_holiday_hide_show_scroll',true) == false){
    	$christmas_holiday_custom_css .='.scrollup i{';
			$christmas_holiday_custom_css .='visibility:hidden !important;';
		$christmas_holiday_custom_css .='} ';
	}
    if($christmas_holiday_resp_scroll_top == true){
    	$christmas_holiday_custom_css .='@media screen and (max-width:575px) {';
		$christmas_holiday_custom_css .='.scrollup i{';
			$christmas_holiday_custom_css .='visibility:visible !important;';
		$christmas_holiday_custom_css .='} }';
	}else if($christmas_holiday_resp_scroll_top == false){
		$christmas_holiday_custom_css .='@media screen and (max-width:575px){';
		$christmas_holiday_custom_css .='.scrollup i{';
			$christmas_holiday_custom_css .='visibility:hidden !important;';
		$christmas_holiday_custom_css .='} }';
	}

	$christmas_holiday_resp_menu_toggle_btn_bg_color = get_theme_mod('christmas_holiday_resp_menu_toggle_btn_bg_color');
	if($christmas_holiday_resp_menu_toggle_btn_bg_color != false){
		$christmas_holiday_custom_css .='.toggle-nav i{';
			$christmas_holiday_custom_css .='background: '.esc_attr($christmas_holiday_resp_menu_toggle_btn_bg_color).';';
		$christmas_holiday_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$christmas_holiday_copyright_alingment = get_theme_mod('christmas_holiday_copyright_alingment');
	if($christmas_holiday_copyright_alingment != false){
		$christmas_holiday_custom_css .='.copyright p{';
			$christmas_holiday_custom_css .='text-align: '.esc_attr($christmas_holiday_copyright_alingment).';';
		$christmas_holiday_custom_css .='}';
	}
	
	$christmas_holiday_footer_widgets_heading = get_theme_mod( 'christmas_holiday_footer_widgets_heading','Left');
    if($christmas_holiday_footer_widgets_heading == 'Left'){
		$christmas_holiday_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$christmas_holiday_custom_css .='text-align: left;';
		$christmas_holiday_custom_css .='}';
	}else if($christmas_holiday_footer_widgets_heading == 'Center'){
		$christmas_holiday_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$christmas_holiday_custom_css .='text-align: center;';
		$christmas_holiday_custom_css .='}';
	}else if($christmas_holiday_footer_widgets_heading == 'Right'){
		$christmas_holiday_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$christmas_holiday_custom_css .='text-align: right;';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_footer_widgets_content = get_theme_mod( 'christmas_holiday_footer_widgets_content','Left');
    if($christmas_holiday_footer_widgets_content == 'Left'){
		$christmas_holiday_custom_css .='#footer .widget{';
		$christmas_holiday_custom_css .='text-align: left;';
		$christmas_holiday_custom_css .='}';
	}else if($christmas_holiday_footer_widgets_content == 'Center'){
		$christmas_holiday_custom_css .='#footer .widget{';
			$christmas_holiday_custom_css .='text-align: center;';
		$christmas_holiday_custom_css .='}';
	}else if($christmas_holiday_footer_widgets_content == 'Right'){
		$christmas_holiday_custom_css .='#footer .widget{';
			$christmas_holiday_custom_css .='text-align: right;';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_footer_padding = get_theme_mod('christmas_holiday_footer_padding');
	if($christmas_holiday_footer_padding != false){
		$christmas_holiday_custom_css .='#footer{';
			$christmas_holiday_custom_css .='padding: '.esc_attr($christmas_holiday_footer_padding).' 0;';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_footer_icon = get_theme_mod('christmas_holiday_footer_icon');
	if($christmas_holiday_footer_icon == false){
		$christmas_holiday_custom_css .='.copyright p{';
			$christmas_holiday_custom_css .='width:100%; text-align:center; float:none;';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_footer_background_image = get_theme_mod('christmas_holiday_footer_background_image');
	if($christmas_holiday_footer_background_image != false){
		$christmas_holiday_custom_css .='#footer{';
			$christmas_holiday_custom_css .='background: url('.esc_attr($christmas_holiday_footer_background_image).');';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_footer_background_color = get_theme_mod('christmas_holiday_footer_background_color');
	if($christmas_holiday_footer_background_color != false){
		$christmas_holiday_custom_css .='#footer{';
			$christmas_holiday_custom_css .='background-color: '.esc_attr($christmas_holiday_footer_background_color).';';
		$christmas_holiday_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$christmas_holiday_site_title_font_size = get_theme_mod('christmas_holiday_site_title_font_size');
	if($christmas_holiday_site_title_font_size != false){
		$christmas_holiday_custom_css .='.logo h1, .logo p.site-title{';
			$christmas_holiday_custom_css .='font-size: '.esc_attr($christmas_holiday_site_title_font_size).';';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_site_tagline_font_size = get_theme_mod('christmas_holiday_site_tagline_font_size');
	if($christmas_holiday_site_tagline_font_size != false){
		$christmas_holiday_custom_css .='.logo p.site-description{';
			$christmas_holiday_custom_css .='font-size: '.esc_attr($christmas_holiday_site_tagline_font_size).';';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_logo_padding = get_theme_mod('christmas_holiday_logo_padding');
	if($christmas_holiday_logo_padding != false){
		$christmas_holiday_custom_css .='.middle-header .logo{';
			$christmas_holiday_custom_css .='padding: '.esc_attr($christmas_holiday_logo_padding).';';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_logo_margin = get_theme_mod('christmas_holiday_logo_margin');
	if($christmas_holiday_logo_margin != false){
		$christmas_holiday_custom_css .='.middle-header .logo{';
			$christmas_holiday_custom_css .='margin: '.esc_attr($christmas_holiday_logo_margin).';';
		$christmas_holiday_custom_css .='}';
	}

	/*------------- Preloader Background Color  -------------------*/

	$christmas_holiday_preloader_bg_color = get_theme_mod('christmas_holiday_preloader_bg_color');
	if($christmas_holiday_preloader_bg_color != false){
		$christmas_holiday_custom_css .='#preloader{';
			$christmas_holiday_custom_css .='background-color: '.esc_attr($christmas_holiday_preloader_bg_color).';';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_preloader_border_color = get_theme_mod('christmas_holiday_preloader_border_color');
	if($christmas_holiday_preloader_border_color != false){
		$christmas_holiday_custom_css .='.loader-line{';
			$christmas_holiday_custom_css .='border-color: '.esc_attr($christmas_holiday_preloader_border_color).'!important;';
		$christmas_holiday_custom_css .='}';
	}

		/*---------------------------Blog Layout -------------------*/

	$christmas_holiday_theme_lay = get_theme_mod( 'christmas_holiday_blog_layout_option','Default');
    if($christmas_holiday_theme_lay == 'Default'){
		$christmas_holiday_custom_css .='.post-main-box{';
			$christmas_holiday_custom_css .='';
		$christmas_holiday_custom_css .='}';
	}else if($christmas_holiday_theme_lay == 'Center'){
		$christmas_holiday_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$christmas_holiday_custom_css .='text-align:center;';
		$christmas_holiday_custom_css .='}';
		$christmas_holiday_custom_css .='.post-info{';
			$christmas_holiday_custom_css .='margin-top:10px;';
		$christmas_holiday_custom_css .='}';
		$christmas_holiday_custom_css .='.post-info hr{';
			$christmas_holiday_custom_css .='margin:15px auto;';
		$christmas_holiday_custom_css .='}';
	}else if($christmas_holiday_theme_lay == 'Left'){
		$christmas_holiday_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$christmas_holiday_custom_css .='text-align:Left;';
		$christmas_holiday_custom_css .='}';
		$christmas_holiday_custom_css .='.post-info hr{';
			$christmas_holiday_custom_css .='margin-bottom:10px;';
		$christmas_holiday_custom_css .='}';
		$christmas_holiday_custom_css .='.post-main-box h2{';
			$christmas_holiday_custom_css .='margin-top:10px;';
		$christmas_holiday_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$christmas_holiday_blog_page_posts_settings = get_theme_mod( 'christmas_holiday_blog_page_posts_settings','Into Blocks');
		if($christmas_holiday_blog_page_posts_settings == 'Without Blocks'){
		$christmas_holiday_custom_css .='.post-main-box{';
			$christmas_holiday_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$christmas_holiday_custom_css .='}';
	}

	/*------------------ Menus -------------------*/

	$christmas_holiday_header_menus_color = get_theme_mod('christmas_holiday_header_menus_color');
	if($christmas_holiday_header_menus_color != false){
		$christmas_holiday_custom_css .='.main-navigation a{';
			$christmas_holiday_custom_css .='color: '.esc_attr($christmas_holiday_header_menus_color).';';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_header_menus_hover_color = get_theme_mod('christmas_holiday_header_menus_hover_color');
	if($christmas_holiday_header_menus_hover_color != false){
		$christmas_holiday_custom_css .='.main-navigation a:hover{';
			$christmas_holiday_custom_css .='color: '.esc_attr($christmas_holiday_header_menus_hover_color).'!important;';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_header_submenus_color = get_theme_mod('christmas_holiday_header_submenus_color');
	if($christmas_holiday_header_submenus_color != false){
		$christmas_holiday_custom_css .='.main-navigation ul ul a{';
			$christmas_holiday_custom_css .='color: '.esc_attr($christmas_holiday_header_submenus_color).';';
		$christmas_holiday_custom_css .='}';
	}

	$christmas_holiday_header_submenus_hover_color = get_theme_mod('christmas_holiday_header_submenus_hover_color');
	if($christmas_holiday_header_submenus_hover_color != false){
		$christmas_holiday_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$christmas_holiday_custom_css .='color: '.esc_attr($christmas_holiday_header_submenus_hover_color).'!important;';
		$christmas_holiday_custom_css .='}';
	}